Delete incident
DELETE
/incidents/{id}
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Responses
200
Incident deleted
application/jsondata
object
id
string
REQUIRED
deleted
boolean
REQUIRED
Enum:
truecurl -X DELETE 'https://happyuptime.com/api/v1/incidents/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://happyuptime.com/api/v1/incidents/string', { method: 'DELETE', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.delete('https://happyuptime.com/api/v1/incidents/string', headers=headers)print(response.json())
200
Response
{ "data": { "id": "<string>", "deleted": true }}
API Playground
Try this endpoint
DELETE
/incidents/{id}